### Method

# Gsk GLShader format_args

#### Declaration [src]

    GBytes*
    gsk_gl_shader_format_args (
      GskGLShader* shader,
      ...
    )

#### Description [src]

Formats the uniform data as needed for feeding the named uniforms values into the shader.

The argument list is a list of pairs of names, and values for the types that match the declared uniforms (i.e. double/int/guint/gboolean for primitive values and `graphene_vecN_t *` for vecN uniforms).

Any uniforms of the shader that are not included in the argument list are zero-initialized.

#### Parameters

`...` | ``
| Name-Value pairs for the uniforms of `shader`, ending with a `NULL` name.

#### Return value

Returns: | `GBytes*`
| A newly allocated block of data which can be passed to gsk_gl_shader_node_new().
| The caller of the function takes ownership of the data, and is responsible for freeing it.